#
# spec file for package mtr (Version 0.80)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           mtr
BuildRequires:  gtk1-compat-devel gtk2-devel ncurses-devel update-desktop-files xorg-x11-devel
Summary:        Ping and Traceroute Network Diagnostic Tool
Version:        0.85
Release:        1.4
Group:          Productivity/Networking/Diagnostic
License:        GPL v2 or later
Url:            http://www.BitWizard.nl/mtr
Source:         %{name}-%{version}.tar.bz2
Source1:        xmtr.desktop
Patch1:         %{name}-0.75-manmtr.patch
Patch2:         %{name}-0.75-manxmtr.patch
Patch3:         %{name}-0.75-nonvoid.patch
Patch4:         %{name}-0.75-sec_snprintf.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Icon:           %{name}.gif
PreReq:         permissions

%description
Mtr is a network diagnostic tool that combines Ping and Traceroute into
one program. This package contains the mtr version with an ncurses
interface, in other words, the text mode version is usable in a shell
(telnet or SSH session, for example).

Find the graphical version in the mtr-gtk package.



Authors:
--------
    Roger Wolff <R.E.Wolff@BitWizard.nl>

%package gtk
License:        GPL v2 or later
Summary:        Ping and Traceroute Network Diagnostic Tool
Group:          Productivity/Networking/Diagnostic

%description gtk
Mtr is a network diagnostic tool which combines Ping and Traceroute
into one program. This package contains mtr with a GTK interface.
You'll find the text mode version in the mtr package.



Authors:
--------
    Roger Wolff <R.E.Wolff@BitWizard.nl>

%if "%(xft-config --prefix)" == "/usr"
%define _xorg7libs %_lib
%define _xorg7libs32 lib
%define _xorg7bin bin
%define _xorg7mandir %_mandir
%define _xorg7pixmaps include
%define _xorg7libshare share
%define _xorg7xkb /usr/share/X11/xkb
%define _xorg7termcap /usr/lib/X11/etc
%define _xorg7include /usr/include/xorg
%define _xorg7fonts /usr/share/fonts
%define _xorg7prefix /usr
%else
%define _xorg7libs X11R6/%_lib
%define _xorg7libs32 X11R6/lib
%define _xorg7bin X11R6/bin
%define _xorg7mandir /usr/X11R6/man
%define _xorg7pixmaps X11R6/include
%define _xorg7libshare X11R6/lib/
%define _xorg7xkb /etc/X11/xkb
%define _xorg7termcap /usr/X11R6/lib/X11/etc
%define _xorg7include
%define _xorg7fonts /usr/X11R6/lib/X11/fonts
%define _xorg7prefix /usr/X11R6
%endif

%prep
%setup -q 
cp mtr.8 xmtr.8
%patch1
%patch2
%patch3
%patch4

%build
%{?suse_update_config:%{suse_update_config}}
aclocal -I /usr/share/aclocal
autoconf
automake --foreign -a
#
# GTK version
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--enable-gtk2 \
	--prefix=%{_xorg7prefix}
make && mv mtr xmtr  
make distclean
#
# console version
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr \
	--mandir=%{_mandir} \
	--without-gtk
make %{?jobs:-j%jobs}

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/%{_xorg7bin}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
make DESTDIR=$RPM_BUILD_ROOT install
install -m 4755 xmtr $RPM_BUILD_ROOT/usr/%{_xorg7bin}
install -m 644 xmtr.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -d -m 755 $RPM_BUILD_ROOT/usr/%{_xorg7pixmaps}/X11/pixmaps/
install -m 644 img/mtr_icon.xpm $RPM_BUILD_ROOT/usr/%{_xorg7pixmaps}/X11/pixmaps/xmtr_icon.xpm
install -d -m 755 $RPM_BUILD_ROOT/usr/share/pixmaps/
install -m 644 img/mtr_icon.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/xmtr_icon.xpm
%suse_update_desktop_file -i xmtr Network Monitor

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING FORMATS NEWS README SECURITY TODO
%doc %{_mandir}/man8/mtr.8*
%verify(not mode) %attr(755,root,dialout) /usr/sbin/mtr

%files gtk
%defattr(-,root,root)
%doc AUTHORS COPYING FORMATS NEWS README SECURITY TODO
%doc %{_mandir}/man8/xmtr.8*
%attr(755,root,root) /usr/%{_xorg7bin}/xmtr
/usr/%{_xorg7pixmaps}/X11/pixmaps
/usr/share/applications/*
/usr/share/pixmaps/*

%post
%run_permissions
%verifyscript
%verify_permissions -e /usr/sbin/mtr

%changelog
* Fri Apr 18 2014 cs@linux-administrator.com
- update to v0.85
* Tue Jan  6 2009 mseben@suse.cz
- update to v0.75
  * feelgood patch to move sprintf to snprintf
  * cut-paste patches: you can now copy an intermediate host to the
    clipboard
- v0.74
  * Martin Pels' patch to allow UDP probes
  * changed some docs to advertise the new mailing list
  * added documentation for the Mac OS X compilation problem
  * added -Wno-pointer-sign to the compiler options
  * Nico Lichtmaier's cleanup-gtk patch. (now mtr uses a more modern
    dialect of gtk)
- rewritten mtr-*-sec_snprintf.patch for v0.75
* Tue May 27 2008 lmichnovic@suse.cz
- fixed more possible overflows because of using sprintf in dns.c
  (*-sec_snprintf.patch) [bnc#392458]
* Mon Apr 14 2008 lmichnovic@suse.cz
- update to version 0.73
  * Fix signed/unsigned bug in IPV6 part improved random packet
  size behaviour.
  * includes also fix for sprintf overflow [bnc#372610]
* Mon Apr  2 2007 rguenther@suse.de
- add ncurses-devel BuildRequires
* Fri Mar 30 2007 lmichnovic@suse.cz
- fixed return value for non-void function (nonvoid.patch)
* Fri Jan 12 2007 lmichnovic@suse.cz
- changed prefix /opt/gnome to /usr for aclocal
* Mon Oct  2 2006 lmichnovic@suse.cz
- update to version 0.72
  * some code improvements
  * option change: If PACKETSIZE is set to a negative number, every
  iteration will use a different, random packet size up to that
  number.
* Thu Jul 27 2006 lmichnovic@suse.cz
- building with X.org 7.x: detects version of X.org instead of
  suse_version
- uses icecream
* Mon Jul 24 2006 lmichnovic@suse.de
- udjusted specfile to build also with new X.org 7.x
* Wed Jun 14 2006 lmichnovic@suse.cz
- Upgrade to version 0.71 which obsoletes res_mkquery.diff
  - some nice improvements.
- building with gtk1-compat-devel
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 schwab@suse.de
- Don't strip binaries.
* Sun Oct  2 2005 stbinner@suse.de
- fixed GenericName in .desktop file
* Thu Jan 20 2005 postadal@suse.cz
- updated to version 0.69
- removed obsoleted patch automake.patch
* Wed Dec 15 2004 hvogel@suse.de
- fix desktop file
* Wed Nov 10 2004 ro@suse.de
- permission handling fixes for /usr/sbin/mtr
* Thu Aug 26 2004 postadal@suse.cz
- updated to version 0.65
* Thu Aug 19 2004 postadal@suse.cz
- updated to version 0.64
* Mon Aug 16 2004 postadal@suse.cz
- updated to version 0.63
- removed obsoleted patch buffer_overflow
- used gtk2
* Thu Jan 22 2004 ro@suse.de
- fixed Makefile.am
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Fri Aug 29 2003 kukuk@suse.de
- Pack /usr/sbin/mtr with correct group
* Sat Aug 16 2003 adrian@suse.de
- add desktop file
* Mon Jul 28 2003 postadal@suse.cz
- updated to version 0.54
  * fix for raw mode
  * added "scrolling" patch from Roland Illig, to allow scrolling in text mode.
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jan 30 2003 postadal@suse.cz
- updated to version 0.52
- removed obsoleted destdir, inc , handlesig patches
* Mon Mar 18 2002 pmladek@suse.cz
- security update to fix a local buffer overflow, which enables
  an attacker to gain access to mtr's raw socket
* Mon Feb 11 2002 bk@suse.de
- updated to version 0.46(looks sane)
  * Added --address option to bind to given IP addess
- adapt configure.in check for res_mkquery to work on s390x also
- fix handling of EINTR to retry system call - fixes freeze on SIGWINCH
* Fri Jan 25 2002 pmladek@suse.cz
- updated to version 0.45:
  * added dynamic switching between numeric / dns names
  * some minor changes
* Mon Nov  5 2001 pmladek@suse.cz
- fixed to compile with automake 1.5
* Fri Jul 20 2001 pmladek@suse.cz
- updated to version 0.44
* Wed May 23 2001 pmladek@suse.cz
- fixed include files on ia64
* Mon Apr 16 2001 pmladek@suse.cz
- updated to version 0.43
- removed patch for configure.in (in new version isn't need)
- fixed compilation without GTK
* Wed Mar 28 2001 pmladek@suse.cz
- removed dependence mtr-gtk on mtr (really doesn't exist)
- added icon for xmtr to /usr/X11R6/...
* Wed Mar 14 2001 pmladek@suse.cz
- new package
- fixed configure.in (res_init)
- fixed Makefile.am (DESTDIR)
- version with and without GTK
